Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/Adoption.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/Adoption.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/Adoption.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.time.LocalDate;
 import java.util.Date;
 
@@ -19,8 +20,8 @@
 
     @Column(name = "start_date", nullable = false)
-    private Date startDate;
+    private LocalDate startDate;
 
     @Column(name = "end_date_foster")
-    private Date endDateFoster;
+    private LocalDate endDateFoster;
 
     @Column(name = "approved", nullable = false)
@@ -30,5 +31,5 @@
     private int adopterId;
 
-    public Adoption(Date startDate, Date endDateFoster, boolean approved, int adopterId) {
+    public Adoption(LocalDate startDate, LocalDate endDateFoster, boolean approved, int adopterId) {
         this.startDate = startDate;
         this.endDateFoster = endDateFoster;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/Donor.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/Donor.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/Donor.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -19,5 +19,5 @@
     private boolean fromOrganisation;
 
-    @Column(name = "name_organisation", nullable = true, length = 100)
+    @Column(name = "name_organisation_donor", nullable = true, length = 100)
     private String organisationName;
 
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/Post.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/Post.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/Post.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.time.LocalDate;
 import java.util.Date;
 
@@ -19,5 +20,5 @@
 
     @Column(name="date_post", nullable = false)
-    private Date dateCreated;
+    private LocalDate dateCreated;
 
     @Column(name="url_thumbanail", length = 200)
@@ -33,5 +34,5 @@
     private int employeeId;
 
-    public Post(Date dateCreated, String thumbnailUrl, int petId, int surendeeId, int employeeId) {
+    public Post(LocalDate dateCreated, String thumbnailUrl, int petId, int surendeeId, int employeeId) {
         this.dateCreated = dateCreated;
         this.thumbnailUrl = thumbnailUrl;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/Therapy.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/Therapy.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/Therapy.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.time.LocalDate;
 import java.util.Date;
 
@@ -22,10 +23,10 @@
 
     @Column(name = "start_date")
-    private Date startDate;
+    private LocalDate startDate;
 
     @Column(name = "end_date")
-    private Date endDate;
+    private LocalDate endDate;
 
-    public Therapy(String healthProblem, Date startDate, Date endDate) {
+    public Therapy(String healthProblem, LocalDate startDate, LocalDate endDate) {
         this.healthProblem = healthProblem;
         this.startDate = startDate;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/User.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/User.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/User.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.time.LocalDate;
 import java.util.Date;
 
@@ -19,5 +20,5 @@
 
     @Column(name = "date_created_user", nullable = false)
-    private Date dateCreated;
+    private LocalDate dateCreated;
 
     @Column(name = "name_user", nullable = false, length = 100)
@@ -30,8 +31,8 @@
     private String password;
 
-    @Column(name = "telephone", length = 20)
+    @Column(name = "telephone_user", length = 20)
     private String telephone;
 
-    public User(Date dateCreated, String name, String email, String password, String telephone) {
+    public User(LocalDate dateCreated, String name, String email, String password, String telephone) {
         this.dateCreated = dateCreated;
         this.name = name;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/model/relations/PetNeedsInterventionInVetClinic.java	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -7,4 +7,5 @@
 import lombok.Data;
 
+import java.time.LocalDate;
 import java.util.Date;
 
@@ -23,10 +24,10 @@
 
     @Column(name = "date_of_interventing", nullable = false)
-    private Date interventionDate;
+    private LocalDate interventionDate;
 
     @Column(name = "description", length = 100)
     private String description;
 
-    public PetNeedsInterventionInVetClinic(int petId, int vetClinicId, Date interventionDate, String description) {
+    public PetNeedsInterventionInVetClinic(int petId, int vetClinicId, LocalDate interventionDate, String description) {
         this.petId = petId;
         this.vetClinicId = vetClinicId;
Index: Prototype Application/Paw5/src/main/resources/application.properties
===================================================================
--- Prototype Application/Paw5/src/main/resources/application.properties	(revision 6a17c294af27dc6bc8e731db451dabd79fd3f235)
+++ Prototype Application/Paw5/src/main/resources/application.properties	(revision a3aea2af41f01dc0d6e87f7fcb3c321dc9c3fc74)
@@ -9,4 +9,4 @@
 spring.jpa.properties.hibernate.jdbc.lob.non_contextual_creation=true
 
-spring.jpa.hibernate.ddl-auto=update
+spring.jpa.hibernate.ddl-auto=validate
 spring.jpa.show-sql=true
